ARG JDK_VERSION=11
ARG GRADLE_VERSION=6.8

FROM gradle:$GRADLE_VERSION-jdk$JDK_VERSION
WORKDIR /usr/src/cre/

RUN apt update
RUN apt install nodejs -y
RUN apt install npm -y
RUN apt install zip -y

ENV NG_CLI_ANALYTICS=ci

COPY build.gradle.kts .
COPY settings.gradle.kts .
COPY ./src/main/frontend ./src/main/frontend
